## org.eclipse.emf.ecoretools.tabbedproperties.sections
Class AbstractIntegerPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection
              org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTextPropertySection
                  org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractIntegerPropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

    public abstract class AbstractIntegerPropertySection

extends AbstractTextPropertySection

An abstract implementation of a section for a field with a String property value. Creation 5 apr. 2006 Updated 7 aug. 2006

Field Summary
`static java.lang.String` `ABS_NUMERICS_PATTERN` Predefined string pattern value for numerics and absolute with '-' : -25
`static java.util.regex.Pattern` `INTEGER_PATTERN` The Pattern used to check an Integer value

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractIntegerPropertySection()`

Method Summary
`protected java.lang.String` `getFeatureAsString()` Get the value of the feature as text for the text field for the section.
`protected abstract java.lang.Integer` `getFeatureInteger()` Get the text value of the feature for the text field for the section.
`protected java.lang.Object` `getNewFeatureValue(java.lang.String newText)` Get the new value of the feature from the text field of the section.
`protected java.lang.Object` `getOldFeatureValue()` Returns the feature value from the model as an object type.
`protected boolean` `isTextValid()` Check whether the text entered is valid or not.
`protected void` `verifyField(org.eclipse.swt.widgets.Event e)` Subclasses may provide their own checker on the text that is entered by the user and update the 'doit' flag of the Event in consequence.

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTextPropertySection
`createControls, createWidgets, focusIn, focusOut, getListener, getNameLabel, getStyle, getText, handleTextModified, hookListeners, refresh, setSectionData`

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection

`aboutToBeHidden, aboutToBeShown, addListener, clearDecorators, createCommand, getActivePage, getEditingDomain, getEObject, getEObjectList, getFeature, getLabelText, getMainComposite, getMessageManager, getModelListener, getSectionComposite, getStandardLabelWidth, getStatusLineManager, handleModelChanged, isReadOnly, makeContributions, removeListener, setDecorator, setErrorDecorator, setErrorMessage, setInfoDecorator, setInput, setMessage, setWarningDecorator`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABS_NUMERICS_PATTERN

    public static final java.lang.String ABS_NUMERICS_PATTERN

  Predefined string pattern value for numerics and absolute with '-' : -25

  See Also:
    Constant Field Values

### INTEGER_PATTERN

    public static final java.util.regex.Pattern INTEGER_PATTERN

  The Pattern used to check an Integer value

Constructor Detail

### AbstractIntegerPropertySection

    public AbstractIntegerPropertySection()

Method Detail

### verifyField

    protected void verifyField(org.eclipse.swt.widgets.Event e)

  Description copied from class: `AbstractTextPropertySection`
  Subclasses may provide their own checker on the text that is entered by the user and update the 'doit' flag of the Event in consequence.

  Specified by:
    `verifyField` in class `AbstractTextPropertySection`
  Parameters:
    `e` - the Event that is sent when the Text is modified
  See Also:
    `AbstractTextPropertySection.verifyField(Event)`

### getFeatureAsString

    protected java.lang.String getFeatureAsString()

  Description copied from class: `AbstractTextPropertySection`
  Get the value of the feature as text for the text field for the section.

  Specified by:
    `getFeatureAsString` in class `AbstractTextPropertySection`
  Returns:
    the value of the feature as text.
  See Also:
    `AbstractTextPropertySection.getFeatureAsString()`

### getOldFeatureValue

    protected java.lang.Object getOldFeatureValue()

  Description copied from class: `AbstractTextPropertySection`
  Returns the feature value from the model as an object type.

  Specified by:
    `getOldFeatureValue` in class `AbstractTextPropertySection`
  Returns:
    the feature object
  See Also:
    `AbstractTextPropertySection.getOldFeatureValue()`

### getNewFeatureValue

    protected java.lang.Object getNewFeatureValue(java.lang.String newText)

  Description copied from class: `AbstractTextPropertySection`
  Get the new value of the feature from the text field of the section.

  Specified by:
    `getNewFeatureValue` in class `AbstractTextPropertySection`
  Parameters:
    `newText` - the new value of the feature as a string.
  Returns:
    the new value of the feature.
  See Also:
    `AbstractTextPropertySection.getNewFeatureValue(java.lang.String)`

### isTextValid

    protected boolean isTextValid()

  Description copied from class: `AbstractTextPropertySection`
  Check whether the text entered is valid or not. Subclasses should override this method to provide their own check. By default, return true.

  Overrides:
    `isTextValid` in class `AbstractTextPropertySection`
  Returns:
    true if the text entered is valid
  See Also:
    `AbstractTextPropertySection.isTextValid()`

### getFeatureInteger

    protected abstract java.lang.Integer getFeatureInteger()

  Get the text value of the feature for the text field for the section.

  Returns:
    the text value of the feature.

Copyright 2007 Anyware Technologies. All Rights Reserved.